Gets detailed information about the catalog
curl --request GET \
--url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"columns": [
{
"name": "<string>",
"notEmpty": true
}
],
"rowCount": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Catalogs
Gets detailed information about the catalog
Gets detailed information about the catalog structure, e.g. required column set
GET
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
Gets detailed information about the catalog
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Catalog identifier. You can find it in the list of all catalogs.
Response
Catalog info is successfully returned
Was this page helpful?
⌘I
